---
topic: BasicProfiling2
---
# Step 1: Basic Profiling 🔥
<ul class="roundbox">
The medicine regulatory authority (MRA) specifies the following requirements on top op the FHIR model:</p>
<ol>
<li>Information on the path by which the vaccine product is taken into the body needs to be present.</li>
<li>The vaccine product that is administrated needs to be exchanged as a code and not solely in free text.</li>
<li>If a reaction follows on the vaccination administration, the reaction datetime and details needs to be captured.</li>
<li>The MRA cannot process information about given education material, therefore it should not be present.</li>
<li>If a performer is known, the information about the actor (the individual Practitioner and it's Organization) must be given through a PractitionerRole reference.</li>
</ol>
<p></p>
</ul>


## Step 1.1: Create an Immunization profile 
In this step, we’ll create a profile with some high-level metadata. Start by creating a new folder on your computer for this tutorial. Open Forge and open the profile folder you just made. 

Create a new profile and choose the base resource that is the best fit for vaccination administration data (the Immunization resource 😉). Add the high-level metadata in the 'Properties' tab within Forge. Of course, you can deviate from the proposed values to make it truly your profile.

|Metadata|Value|
|-
|URL| http://`<yourname>`.`<yourcountrycode >`/fhir/StructureDefinition/`<profile name>` for example: <pre>http://ardon.nl/fhir/StructureDefinition/ImmunizationProfile</pre> |
|Resource ID|immunization-profile|
|Name|ImmunizationProfile|
|Title|Immunization Profile|
|Description|Defines the medicine regulatory authority constraints and extensions on the Immunization resource for the minimal set of data to query and retrieve an individual’s immunization information.|

From now on we will use the term ImmunizationProfile to refer to this profile.

## Step 1.2: Add cardinality and reference constraints
Set the constraints according to the requirements of the medicine regulatory authority.

## Step 1.3: Publish to Simplifier.net
Let's upload the patient profile to Simplifier.net and check if everything works as expected.

- Create a Simplifier project (based on R4) if you haven't created one already: [create one here][2]
- In Forge, go to *File* > *Publish to Simplifier* or hit Ctrl + U
    - Function greyed out? Make sure you have opened and selected the profile you want to upload in Forge.
- Select your Simplifier project 
    - Project not shown? Check that the project is configured based on the same FHIR version as your profile.
- Click save and voila - your profile is now rendered online!


If all went well you should see the profile in your project. You can confirm your profile constraints in the rendering as shown in the Overview tab of your profile. Selecting diff mode helps to pin down on the made changes. The below results box 



<div class="panel-group">
  <div class="panel panel-default">
    <div class="panel-heading">
      <h2 class="panel-title">
        <a data-toggle="collapse" href="#collapse2">Results after completing step 1</a>
      </h2>
    </div>
    <div id="collapse2" class="panel-collapse collapse">
      <div class="panel-body">
     	<h3>Differential view of ImmunizationProfile on Simplifier</h3>
            {{tree:acme-profiling-tutorial-r4/immunizationprofilestep1, diff}}
 
  </div>
</div>






[1]: https://www.hl7.org/fhir/r4/resourcelist.html
[2]: https://simplifier.net/ui/project/create "Create a Simplifier project"
