---
topic: Basicprofiling
---
# Step 1: Basic Profiling 🔥
<ul class="roundbox">
<p>Hospital X wants to receive patient data from general practitioners. The hospital has decided to build an interface conform the FHIR standard, starting with administrative data of patients. The following requirements are specified by Hosptial X:</p>
<li>	A patient has at least 1 name, and each name has at least 1 family name and 1 given name.</li>
<li>	Date of birth and gender are mandatory.</li>
<li>	A photo should not be allowed to be added.</li>
<li>	The hospital can only capture if a patient is deceased or not, not the actual dateTime.</li>
</ul>

### Steps to follow
1.	Create a new folder on your computer for this tutorial FHIR project.
2.	Start Forge and open the profile folder you just made.
3.	Create a new profile. Choose the basis resource profile that is best fit for exchanging administrative patient data. Take a look at the [FHIR resource list][1].
4.	Provide the profile with high-level metadata in the 'Properties' tab within Forge. Give it at lease a name and a unique URL also named canonical, for example: 'http://`<yourname>`.`<yourcountrycode >`/fhir/StructureDefinition/HospitalXPatient'.
5.	Set the constraints according to the requirements of hospital X in the 'Element Tree' tab.

<div class="panel-group">
  <div class="panel panel-default">
    <div class="panel-heading">
      <h2 class="panel-title">
        <a data-toggle="collapse" href="#collapse1">Results after completing step 1</a>
      </h2>
    </div>
    <div id="collapse1" class="panel-collapse collapse">
      <div class="panel-body">
        <b>Differential view of {{link:acme-profiling-tutorial-r4/hospitalxpatientstep1}} profile on Simplifier.net.</b>
            {{tree:acme-profiling-tutorial-r4/hospitalxpatientstep1, diff}}            
  </div>
</div>

[1]: https://www.hl7.org/fhir/r4/resourcelist.html
[2]: https://simplifier.net/ui/project/create "Create a Simplifier project"
