---
topic: Terminologybindings3
---
# Step 3: Terminology bindings 💎

<ul class="roundbox">
<p>The medicine regulatory authority (MRA) can only capture specific data on the certain elements. The following requirements are specified:</p>
<ol>
<li>For the vaccine administration <i>route</i>, the MRA uses the codes in the bound ValueSet by the FHIR core Immunization resource. A code from this ValuSet is exected.</li>
<li> The FHIR ValueSet bound to <i>site</i> is not sufficiently detailed. The MRA can handle SNOMED codes and expects codes as defined by the International Patient Summary for target <i>site</i>.
</li>
</ol>
</ul>

## Step 3.1: Adjust the ValueSet binding strength in ImmunizationProfile
* Adjust the ValueSet binding strength of the `route` element. Tip! The FHIR specification provides a thorough description of the [meaning of the binding strenghts][4]. 

## Step 3.2: Find the right ValueSet and add it to ImmunizationProfile
The International Patient Summary has defined  a ValueSet for `site` named [TargetSiteCodeUvIps][6].

* Examine the ValueSet. 
* Copy the ValuSet canonical URL into the ValueSet binding in Forge.
* Adjust the binding strength.

You can [download the ValueSet][7] to include it in your profile folder or download it through the International Patient Summary package `hl7.fhir.uv.ips` in a similar way as step 2.4.

## Step 3.3: Publish the updated ImmunizationProfile to Simplifier.net
Upload the updated ImmunizationProfile to Simplifier.net and check if everything works as expected. Remember, pressing CTRL + U pops up the publish screen. Then just select your project e voila! 

Optionally, you can add a project dependency to a specific version of the `hl7.fhir.uv.ips` package to let the ValueSet reference of step 3.2 resolve to a versioned version of the ValueSet.


<div class="panel-group">
  <div class="panel panel-default">
    <div class="panel-heading">
      <h2 class="panel-title">
        <a data-toggle="collapse" href="#collapse-step3">Results after completing step 3</a>
      </h2>
    </div>
    <div id="collapse-step3" class="panel-collapse collapse">
      <div class="panel-body">
     	<h3>Differential view of ImmunizationProfile</h3>
            {{tree:https://fhir.devdays.com/R4/StructureDefinition/ImmunizationProfile-step3-terminology, diff}}
 
  </div>
</div>



[1]: https://registry.fhir.org/ "HL7 FHIR registry"
[2]: https://simplifier.net/search?fhirVersion=R4 "Simplifier registry"
[3]: http://hl7.org/fhir/R4/terminologies-valuesets.html "HL7 FHIR Core ValueSet reistry"
[4]: http://hl7.org/fhir/R4/terminologies.html#strength
[5]: http://hl7.org/fhir/uv/ips/STU1/StructureDefinition-Immunization-uv-ips.html
[6]: 
http://hl7.org/fhir/uv/ips/STU1/ValueSet-target-site-uv-ips.html
[7]: http://hl7.org/fhir/uv/ips/STU1/ValueSet-target-site-uv-ips.xml
